%if %%activer_log_distant == 'oui' and %%activer_envoi_logs == 'oui' and %%envoyer_tous_logs == 'non' and %%envoyer_logs_dansguardian == 'oui'

$WorkDirectory /var/log/rsyslog/queues
$ActionQueueType LinkedList
  %if %%activate_dansguardian_realtime == 'non' and %%dansguardian_heure_debut != '' and %%dansguardian_heure_fin != ''
$ActionQueueSize 10000
$ActionQueueDequeueTimeBegin %%dansguardian_heure_debut
$ActionQueueDequeueTimeEnd %%dansguardian_heure_fin
  %end if
$ActionQueueFileName e2guardian
$ActionQueueSaveOnShutdown on

  %if %%rsyslog_envoi_tls == 'oui'
$ActionSendStreamDriverAuthMode x509/name
$IncludeConfig /etc/rsyslog.d/outgoing_peers/*.peers
$ActionSendStreamDriverMode 1
:programname, contains, "e2guardian" @@%%adresse_ip_serveur_logs:10514
  %else
:programname, contains, "e2guardian" :omrelp:%%adresse_ip_serveur_logs:20514

  %end if

%else
# L'envoi des journaux de e2guardian n'est pas configuré de manière spécifique.
%end if

